export class ServiceResponse<T> {
    success?: boolean;
    messages?: string[] = [];
    result?: any;

    public constructor(init?:Partial<ServiceResponse<any>>) {
        Object.assign(this, init);
    }
}

export interface PagedResponse {
    total?: any;
    items?: any;
}